{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

unit dateform;

{$mode objfpc}{$H+}

interface

uses
  SysUtils, Forms, Controls, ButtonPanel, Spin, StdCtrls, dateUtils;

type

  TdateForm = class(TForm)
    ButtonPanel1: TButtonPanel;
    LDay: TLabel;
    LMonth: TLabel;
    LYear: TLabel;
    seDay: TSpinEdit;
    seMonth: TSpinEdit;
    seYear: TSpinEdit;
  end;

function GetDate(var dt: TDateTime): boolean;

implementation

function GetDate(var dt: TDateTime): boolean;
var frm: TdateForm;
    d, m, y: word;
begin
  frm:= TdateForm.Create(nil);
  try
    if dt = 0 then dt := Now;
    DecodeDate(dt, y, m, d);
    frm.seYear.Value:= y;
    frm.seMonth.Value:= m;
    frm.seDay.Value:= d;
    if (frm.ShowModal=mrOK) then
      begin
        y:= frm.seYear.Value;
        m:= frm.seMonth.Value;
        d:= frm.seDay.Value;
        case IsValidDate(y, m, d) of
         False: Result:= False;
         else
          dt:= EncodeDate(y, m, d);
          Result:= True;
         end;
      end
    else Result:= False;
  finally
    frm.Free;
  end;
end;

{$R *.lfm}

end.

