{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

unit main_anchoring;

{$mode objfpc}{$H+}

interface

uses
  Classes, Forms, Controls, StdCtrls, ExtCtrls;

type

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  Memo1, Memo2: TMemo;
  splitter: TSplitter;
  sl: TStringList;
begin
  Height:=140;
  sl:= TStringList.Create;
  try
    sl.CommaText:='Memo1 line2 line3 line4 line5';
    Memo1:=TMemo.Create(Self);
    with Memo1 do
     begin
      Lines.AddStrings(sl);
      Align:=alLeft;
      Parent:=Self;
     end;
    splitter:=TSplitter.Create(Self);
    with splitter do
     begin
      Align:=alNone;
      Left:=120;
      Parent:=Self;
      AnchorParallel(akBottom,0,Parent);
     end;
    Memo1.AnchorToNeighbour(akRight,0,splitter);
    sl.Clear;
    sl.CommaText:='"Memo 2","2nd added line","3rd added line",'+
                  '"4th added line","5th added line"';
    Memo2:=TMemo.Create(Self);
    with Memo2 do
     begin
      Align:=alRight;
      AnchorToNeighbour(akLeft,0,splitter);
      Lines.AddStrings(sl);
      Parent:=Self;
     end;
  finally
   sl.Free;
  end;
end;

end.


