{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

program countries;

{$mode objfpc}{$H+}

uses strutils;

type
  TCountry = record
	       Name: string;
	       Area: longint;
	     end;

const Belgium: TCountry = (Name:'Belgium'; Area:30513);
      Austria: TCountry = (Name:'Austria'; Area:83851);
      Finland: TCountry = (Name:'Finland'; Area:337032);

procedure DisplayInfo(aCountry: TCountry);
var
  barLength: integer;
begin
 barLength:= aCountry.Area div 30000;
 writeln(aCountry.Name:8, aCountry.Area:7, ' ', DupeString('*', barLength));
end;

begin
  WriteLn(' Country   Area Relative area');
  WriteLn(' -------   ---- -------------');
  DisplayInfo(Belgium);
  DisplayInfo(Austria);
  DisplayInfo(Finland);
  {$IFDEF WINDOWS}
  ReadLn;
  {$ENDIF}
end.

