{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

program text_file;

{$mode objfpc}{$H+}

uses sysutils;

var txtF: TextFile;
    s: String;

  procedure ReadTenLines;
  const lineNo: integer = 0;
  var linesRead: integer = 0;
  begin
    while not EOF(txtf) and (linesRead < 10) do
     begin
       ReadLn(txtF, s);
       Inc(linesRead);
       Inc(lineNo);
       s:= Format('Line %d: %s',[lineNo, s]);
       WriteLn(s);
     end;
  end;

begin
  AssignFile(txtF, 'text_file.lpr');
  Reset(txtF);
  WriteLn('Lines from text_file.lpr will be displayed 10 at a time');
  WriteLn;
  try
   while not EOF(txtF) do
   begin
     ReadTenLines;
     WriteLn;
     WriteLn('Press [Enter] to continue');
     ReadLn;
   end;
  finally
    CloseFile(txtF);
  end;
  Write('End of file reached. Press [Enter] to finish');
  ReadLn;
end.

