{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

program class_intro;

{$mode objfpc}{$H+}

type TGrandParent = class(TObject)
                      procedure WriteAboutMyself;
                    end;

procedure TGrandParent.WriteAboutMyself;
begin
  WriteLn();
  WriteLn('The name of this class is ', self.ClassName);
  WriteLn(' its parent is ', self.ClassParent.ClassName);
  WriteLn('  its InstanceSize is ', self.InstanceSize);
  WriteLn('   its declaration is located in ', Self.UnitName);
end;

type TParent = class(TGrandParent)
                 FintField: integer;
               end;

     TChild = class(TParent)
                 FsetField: set of byte;
              end;

var
  exampleClass: TGrandParent;
begin
  exampleClass:= TGrandParent.Create;
  exampleClass.WriteAboutMyself;
  exampleClass.Free;

  exampleClass:= TParent.Create;
  exampleClass.WriteAboutMyself;
  exampleClass.Free;

  exampleClass:= TChild.Create;
  exampleClass.WriteAboutMyself;
  exampleClass.Free;

  {$IFDEF WINDOWS}
  ReadLn;
  {$ENDIF}
end.

