{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.}

unit unitmain;

{$mode objfpc}{$H+}

interface

uses Forms, ExtCtrls, person;

type

  { TForm1 }

  TForm1 = class(TForm)
    rgPeople: TRadioGroup;
    procedure rgPeopleClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.rgPeopleClick(Sender: TObject);
var p: TPerson;
begin
  if rgPeople.ItemIndex < 0 then Exit;
  case rgPeople.ItemIndex of
   0: p:= TBeckham.Create;
   1: p:= TShakespeare.Create;
   2: p:= TWest.Create;
   3: p:= TBlaise.Create;
  end;
  p.Speak;
  p.Free;
end;

end.

