{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

unit main;

{$mode objfpc}{$H+}

{$DEFINE debug}

interface

uses Forms, StdCtrls, LazLogger;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    procedure Edit1Change(Sender: TObject);
  private
    function StringReverse(s: string): string;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.Edit1Change(Sender: TObject);
begin
  Label1.Caption:= StringReverse(Edit1.Text);
end;

function TForm1.StringReverse(s: string): string;
var len, p: integer;
begin
  len:= Length(s);
  SetLength(Result, len);
  for p in [1..len] do
    begin
      {$IFDEF DEBUG}
      DebugLn(['len: ',len,'; p: ',p,'; len - p: ',len-p]);
      {$ENDIF}
      Result[len +1 - p] := s[p];
    end;
end;

end.
