{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

unit processing;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

type TCustomerRecord = record
       ID: int64;
       Name: shortstring;
       BalanceOwed: currency;
       LastTransactionDate: TDateTime;
     end;

     TCustomerFile = file of TCustomerRecord;

procedure ProcessCustomer(c: TCustomerRecord);

implementation

procedure ProcessCustomer(c: TCustomerRecord);
begin
  WriteLn('Customer: ',c.Name,', ID Number: ',c.ID);
  WriteLn('   Balance owed: $',FormatFloat('#.##',c.BalanceOwed),
          ', transaction dated ',FormatDateTime('dd.mm.yyyy',c.LastTransactionDate));
  WriteLn();
end;

end.

