{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

program show3message;

{$mode objfpc}{$H+}

uses sysutils;

procedure ShowMessage(const s: string);
begin
  WriteLn(s);
end;

procedure Show3Msg(s1: string; s2: string=''; s3: string='');
begin
  case s3=EmptyStr of
   True : case s2=EmptyStr of
           True : ShowMessage(s1);
           False: ShowMessage(s1+LineEnding+s2);
          end;
   False: ShowMessage(s1+LineEnding+s2+LineEnding+s3);
  end;
  ShowMessage(EmptyStr);
end;

begin
  ShowMessage('Show3Msg() called with 3 parameters');
  Show3Msg('one', 'two', 'three');
  ShowMessage('Show3Msg() called with 2 parameters');
  Show3Msg('one', 'two');
  ShowMessage('Show3Msg() called with 1 parameter');
  Show3Msg('one');
  {$IFDEF WINDOWS}
  ReadLn;
  {$ENDIF}
end.

